"use strict";
cc._RF.push(module, '535f02UEYNAAY0PPWMh9PMB', 'fillProgress');
// Script/fillProgress.js

'use strict';

cc.Class({
    extends: cc.Component,
    editor: {
        executeInEditMode: true
    },

    properties: {
        sprite: {
            default: null,
            type: cc.Sprite
        },
        slider: {
            default: 0,
            slide: true,
            range: [0, 1, 0.01],
            tooltip: CC_DEV && 'fill rate',
            notify: function notify() {
                this.changeFilledRate();
            }
        },
        progressLabel: {
            default: null,
            type: cc.Label
        }
    },

    changeFilledRate: function changeFilledRate() {
        if (this.sprite.type !== cc.Sprite.Type.FILLED) {
            return;
        }

        this.sprite.fillStart = 1 - this.slider;
        this.progressLabel.string = (this.slider * 100).toFixed(1) + '%';
    }
});

cc._RF.pop();